
## Jupyter Notebook Viewer (Chrome Extension)

Jupyter files (*.ipynb) local viewer, [chrome extension](https://chrome.google.com/webstore/detail/jupyter-notebook-viewer/ocabfdicbcamoonfhalkdojedklfcjmf?hl=en)

## Features

* Renders local and remote URLs
* Granular access to remote origins
* Full control over the compiler options
* Themes
* Auto reload on file change
* Syntax highlighted code blocks
* Table of Contents (TOC)
* MathJax support

[![demonstration](http://img.youtube.com/vi/x0nYGZDbEoY/0.jpg)](https://www.youtube.com/watch?v=x0nYGZDbEoY "demonstration")

## How To Install
[video instruction](https://www.youtube.com/watch?v=izGeP2wyOIk)

## Manual Installation

Chrome

1. Clone this repository
2. Navigate to `chrome://extensions`
3. Make sure that the `Developer mode` checkbox is checked at the top
4. Disable the Markdown Viewer extension downloaded from the Chrome Store
5. Click on the `Load unpacked extension...` button and select the cloned directory

> Note that in this case you won't receive any future updates automatically.

## References

Kudos to the authors of the projects (the extension based on their works):

* [markdown-viewer](https://github.com/simov/markdown-viewer)
* [nbpreview](https://github.com/jsvine/nbpreview)
* [jupyter-themes](https://github.com/dunovank/jupyter-themes)
